aboutsummaryrefslogtreecommitdiff
path: root/ci/test/03_before_install.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-08-10 11:32:55 -0400
committerMarcoFalke <falke.marco@gmail.com>2019-08-15 11:11:45 -0400
commitfafe78f6aedfc0ac865379c412a87670b6211021 (patch)
treea0a9b63b6fc3db34075175f160481cba5409fbde /ci/test/03_before_install.sh
parent8bd5e0af9983c6892d4076881d634cc524d643fd (diff)
downloadbitcoin-fafe78f6aedfc0ac865379c412a87670b6211021.tar.xz
ci: Rename .travis/ to ./ci/
Diffstat (limited to 'ci/test/03_before_install.sh')
-rwxr-xr-xci/test/03_before_install.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/test/03_before_install.sh b/ci/test/03_before_install.sh
new file mode 100755
index 0000000000..3c9fcf3f98
--- /dev/null
+++ b/ci/test/03_before_install.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2018 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+
+export LC_ALL=C.UTF-8
+
+PATH=$(echo $PATH | tr ':' "\n" | sed '/\/opt\/python/d' | tr "\n" ":" | sed "s|::|:|g")
+# Add llvm-symbolizer directory to PATH. Needed to get symbolized stack traces from the sanitizers.
+PATH=$PATH:/usr/lib/llvm-6.0/bin/
+export PATH
+
+BEGIN_FOLD () {
+ echo ""
+ CURRENT_FOLD_NAME=$1
+ echo "travis_fold:start:${CURRENT_FOLD_NAME}"
+}
+
+END_FOLD () {
+ RET=$?
+ echo "travis_fold:end:${CURRENT_FOLD_NAME}"
+ if [ $RET != 0 ]; then
+ echo "${CURRENT_FOLD_NAME} failed with status code ${RET}"
+ fi
+}
+